#include <iostream>
using namespace std;
int main()
{
    int n, h;
    int h1;
    int a = -1;
    
    cin >> n >> h;
    
    for (int i = 0; i < n; i++)
    {
        cin >> h1;
        
        if(h >= h1)
        {
            a = i + 1;
            break;
        }
    }
    cout << a;

    return 0;
}